## org.eclipse.emf.ecore.util
Class BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl

    java.lang.Object
      org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl

All Implemented Interfaces:
  BasicExtendedMetaData.EStructuralFeatureExtendedMetaData

Enclosing class:
  BasicExtendedMetaData

    public class BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl

extends java.lang.Object
implements BasicExtendedMetaData.EStructuralFeatureExtendedMetaData

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.BasicExtendedMetaData.EStructuralFeatureExtendedMetaData
`BasicExtendedMetaData.EStructuralFeatureExtendedMetaData.Holder`

Field Summary
`protected EStructuralFeature` `affiliation`
`protected EStructuralFeature` `eStructuralFeature`
`protected int` `featureKind`
`protected EStructuralFeature` `group`
`protected java.lang.String` `name`
`protected java.lang.String` `namespace`
`protected int` `processingKind`
`protected java.util.Map<EClass,FeatureMapUtil.Validator>` `validatorMap`
`protected java.util.List<java.lang.String>` `wildcards`

Constructor Summary
`BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl(EStructuralFeature eStructuralFeature)`

Method Summary
`EStructuralFeature` `getAffiliation()`
`int` `getFeatureKind()`
`EStructuralFeature` `getGroup()`
`java.lang.String` `getName()`
`java.lang.String` `getNamespace()`
`int` `getProcessingKind()`
`java.util.Map<EClass,FeatureMapUtil.Validator>` `getValidatorMap()`
`java.util.List<java.lang.String>` `getWildcards()`
`void` `setAffiliation(EStructuralFeature affiliation)`
`void` `setFeatureKind(int kind)`
`void` `setGroup(EStructuralFeature group)`
`void` `setName(java.lang.String name)`
`void` `setNamespace(java.lang.String namespace)`
`void` `setProcessingKind(int kind)`
`void` `setWildcards(java.util.List<java.lang.String> wildcards)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

### name

    protected java.lang.String name

### namespace

    protected java.lang.String namespace

### featureKind

    protected int featureKind

### wildcards

    protected java.util.List<java.lang.String> wildcards

### processingKind

    protected int processingKind

### group

    protected EStructuralFeature group

### affiliation

    protected EStructuralFeature affiliation

### validatorMap

    protected java.util.Map<EClass,FeatureMapUtil.Validator> validatorMap

Constructor Detail

### BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl

    public BasicExtendedMetaData.EStructuralFeatureExtendedMetaDataImpl(EStructuralFeature eStructuralFeature)

Method Detail

### getValidatorMap

    public java.util.Map<EClass,FeatureMapUtil.Validator> getValidatorMap()

  Specified by:
    `getValidatorMap` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Specified by:
    `setNamespace` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getFeatureKind

    public int getFeatureKind()

  Specified by:
    `getFeatureKind` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setFeatureKind

    public void setFeatureKind(int kind)

  Specified by:
    `setFeatureKind` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getWildcards

    public java.util.List<java.lang.String> getWildcards()

  Specified by:
    `getWildcards` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setWildcards

    public void setWildcards(java.util.List<java.lang.String> wildcards)

  Specified by:
    `setWildcards` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getProcessingKind

    public int getProcessingKind()

  Specified by:
    `getProcessingKind` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setProcessingKind

    public void setProcessingKind(int kind)

  Specified by:
    `setProcessingKind` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getGroup

    public EStructuralFeature getGroup()

  Specified by:
    `getGroup` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setGroup

    public void setGroup(EStructuralFeature group)

  Specified by:
    `setGroup` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### getAffiliation

    public EStructuralFeature getAffiliation()

  Specified by:
    `getAffiliation` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

### setAffiliation

    public void setAffiliation(EStructuralFeature affiliation)

  Specified by:
    `setAffiliation` in interface `BasicExtendedMetaData.EStructuralFeatureExtendedMetaData`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.